Bug 296065 - Lanczos Filter broken after screen size changes
Summary: Lanczos Filter broken after screen size changes
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: scene-opengl (show other bugs)
Version: git master
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: 4.9 RC 2
Assignee: Martin Flöser
URL: https://git.reviewboard.kde.org/r/105...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-03-15 13:38 UTC by Martin Flöser
Modified: 2012-07-09 04:31 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.0
mgraesslin: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Flöser 2012-03-15 13:38:56 UTC
Steps to reproduce:
1. change screen size (e.g. attach screen)
2. use present windows
3. notice how broken everything looks
4. trigger alt+shift+f12 twice
5. open present windows
6. notice how all looks correct
Comment 1 Martin Flöser 2012-07-09 04:31:30 UTC
Git commit 3f52527726f44acc6a8f9585e00116ca3ae5d02d by Martin Gräßlin.
Committed on 06/07/2012 at 19:03.
Pushed by graesslin into branch 'KDE/4.9'.

Recreate lanczos filter whenever the screen size changes

The LanczosFilter has a FBO in screen size. When the screen
geometry changes this FBO has to be recreated. To go completely
sure the lanczos filter gets deleted on screen changes.

To achieve this the LanczosFilter is wrapped inside a
QWeakPointer so that we can track when it got deleted. This
brings an additional advantage by delaying the creation of the
shader till it is really needed, that is when for the first
time a window thumbnail with lanczos is rendered.
FIXED-IN: 4.9.0
REVIEW: 105479

M  +10   -5    kwin/scene.cpp
M  +1    -1    kwin/scene.h

http://commits.kde.org/kde-workspace/3f52527726f44acc6a8f9585e00116ca3ae5d02d